:root {
    --clr-white: hsl(0, 0%, 100%);
    --clr-black: hsl(0, 0%, 0%);
    --clr-dark-gray: hsl(0, 0%, 55%);
    --clr-very-dark-gray: hsl(0, 0%, 41%);

    --ff-primary: "Alata", sans-serif;
    --ff-secundary: "Josefin Sans", sans-serif;

    --fw-300: 300;
    --fw-400: 400;
}

body {
    background-color: var(--clr-white);
    font-family: var(--ff-primary);
    font-weight: var(--fw-400);
    font-size: 1rem;
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
}

.container {
    padding: 0 1.875rem;
    max-width: 477px;
    margin: 0 auto;
}

.bg-hero {
    min-height: 828px;
    background-image: url(../images/mobile/image-hero.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

.header {
    padding: 3.25rem 0;
}

.header.active {
    background-color: var(--clr-black);
}

.header .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header .hamburger {
    background-color: transparent;
    border: none;
}

.nav-desktop {
    display: none;
}

.nav-mobile {
    background-color: var(--clr-black);
    display: none;
    padding-top: 84px;
    padding-left: 38px;
    position: fixed;
    top: 136px;
    left: 0;
    width: 100%;
    height: calc(100vh - 136px);
}

.nav-mobile ul {
    display: flex;
    flex-direction: column;
    row-gap: 28px;
}

.nav-mobile a {
    color: var(--clr-white);
    font-family: var(--ff-secundary);
    font-weight: var(--fw-300);
    font-size: 1.5rem;
    text-transform: uppercase;
}

.nav-mobile.active {
    display: block;
}

.headline {
    font-family: var(--ff-secundary);
    font-weight: var(--fw-300);
    text-transform: uppercase;
    line-height: 1.0;
}

.hero {
     padding: 156px 0;
}

.headline-container {
    border: 2px solid var(--clr-white);
    padding: 32px 34px 22px;
}

.hero .headline {
    font-size: 3.0625rem;
    color: var(--clr-white);
}

.about {
    padding: 7.625rem 0;
}

.about-content {
    margin-top: 3.875rem;
    padding: 0 2.25rem;
    text-align: center;
}

.about .headline {
    font-size: 2.5rem;
    color: var(--clr-black);
}

.about-content p {
    margin-top: 40px;
    font-size: 19px;
    color: var(--clr-dark-gray);
}

.creations-content {
    padding: 72px 0 122px;
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 30px;
}

.creations .headline {
    font-size: 2.5rem;
    color: var(--clr-black);
    text-align: center;
}

.creations-btn-desktop {
    display: none;
}

.creations-item {
    background-repeat: no-repeat;
    background-size: cover;
    min-width: 100%;
    height: 152px;
    padding: 26px;
    display: flex;
    align-items: flex-end;
}

.creations-item .headline {
    font-size: 1.75rem;
    max-width: 160px;
    color: var(--clr-white);
    text-align: left;
}

.deep-earth {
    background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../images/mobile/image-deep-earth.jpg);
}

.night-arcade {
    background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../images/mobile/image-night-arcade.jpg);
}

.soccer-team {
    background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../images/mobile/image-soccer-team.jpg);
}

.the-grid {
    background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../images/mobile/image-grid.jpg);
}

.from-up {
    background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../images/mobile/image-from-above.jpg);
}

.pocket {
    background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../images/mobile/image-pocket-borealis.jpg);
}

.the-curiosity {
    background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../images/mobile/image-curiosity.jpg);
}

.make-it {
    background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../images/mobile/image-fisheye.jpg);
}

.creations-btn {
    background-color: transparent;
    border: 2px solid var(--clr-black);
    padding: 16px 46px;
    text-transform: uppercase;
    letter-spacing: 9px;
    color: var(--clr-black);
    text-align: center;
}

.footer {
    background-color: var(--clr-black);
    padding: 72px 0;
    text-align: center;
}

.footer .container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.footer nav ul {
    margin-top: 52px;
    display: flex;
    flex-direction: column;
    row-gap: 36px;
}

.footer nav ul li a {
    font-size: 1.25rem;
    color: var(--clr-white);
}

.footer .social-media {
    margin: 64px 0 30px;
    display: flex;
    align-items: center;
    column-gap: 22px;
}

.footer p {
    color: var(--clr-very-dark-gray);
    font-size: 1.125rem;
}

.footer .section-two {
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media (min-width: 900px) {

    .container {
        max-width: 1110px;
        padding: 0;
    }

    .bg-hero {
        min-height: 650px;
        background-image: url(../images/desktop/image-hero.jpg);
        background-size: contain;
    }

    .header {
        padding: 4rem 0;
    }

    .hamburger {
        display: none;
    }

    .nav-mobile {
        display: none;
    }

    .nav-desktop {
        display: block;
    }

    .nav-desktop .nav-list {
        display: flex;
        align-items: center;
        column-gap: 2.25rem;
    }

    .nav-desktop a {
        color: var(--clr-white);
    }
    
    .hero {
        padding: 4rem 0;
   }
    
    .hero .headline-container {
        max-width: 620px;
        padding: 2.625rem 3rem;
    }
    
    .hero .headline {
        font-size: 4rem;
    }

    .about .container {
        position: relative;
    }

    .about-content {
        background-color: var(--clr-white);
        max-width: 544px;
        margin-top: 0;
        padding: 98px 0 0 98px;
        text-align: left;
        position: absolute;
        bottom: 0;
        right: 0;
    }

    .about-content p {
        margin-top: 40px;
        font-size: 15px;
        color: var(--clr-dark-gray);
    }

    .creations-header {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .creations .headline {
        text-align: left;
    }

    .creations-btn-desktop {
        display: block;
        background-color: transparent;
        border: 2px solid var(--clr-black);
        padding: 14px 38px;
        text-transform: uppercase;
        letter-spacing: 9px;
        color: var(--clr-black);
        text-align: center;
    }
    
    .creations-content {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        gap: 1.75rem;
    }

    .creations-item {
        min-width: 256px;
        height: 450px;
        padding: 2.5rem 2.625rem;
    }

    .deep-earth {
        background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../images/desktop/image-deep-earth.jpg);
    }
    
    .night-arcade {
        background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../images/desktop/image-night-arcade.jpg);
    }
    
    .soccer-team {
        background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../images/desktop/image-soccer-team.jpg);
    }
    
    .the-grid {
        background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../images/desktop/image-grid.jpg);
    }
    
    .from-up {
        background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../images/desktop/image-from-above.jpg);
    }
    
    .pocket {
        background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../images/desktop/image-pocket-borealis.jpg);
    }
    
    .the-curiosity {
        background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../images/desktop/image-curiosity.jpg);
    }
    
    .make-it {
        background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../images/desktop/image-fisheye.jpg);
    }

    .creations-item .headline {
        font-size: 1.875rem;
    }

    .creations-btn {
        display: none;
    }

    .footer .container {
        flex-direction: row;
        justify-content: space-between;
    }

    .footer nav ul {
        margin-top: 0;
        display: flex;
        flex-direction: row;
        column-gap: 2rem;
    }

    .footer .section-two, .footer nav {
        display: flex;
        flex-direction: column;
        align-items: flex-end;
        row-gap: 2rem;
    }

    .footer nav {
        align-items: flex-start;   
    }

    .footer .social-media {
        margin: 0;
    }
}